Bug 248367 - Confusing behaviour in playlist editor
Summary: Confusing behaviour in playlist editor
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
(Show other bugs)
Version: 6
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-16 14:34 UTC by Tim Waugh
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-11 13:28:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Waugh 2007-07-16 14:34:36 UTC
Description of problem:
When removing a track from a playlist by right-clicking on it, there are two
relevant menu entries:

* Remove
* Move to Wastebasket

It is not clear what the difference is.  In fact, 'Move to Wastebasket' will
actually move the *original track* from your Library(!!), whereas Remove will do
the right thing and remove the track from the playlist (but keep the Library as-is).

This is very confusing, and will lead to people unintentionally losing tracks
from their Library.

Version-Release number of selected component (if applicable):
rhythmbox-0.9.8-2.fc6

How reproducible:
100%

Steps to Reproduce:
1.Create a playlist
2.Add a track to the playlist from the Library
3.Right-click on the track in the playlist
4.Try to decide what the opposite of step 2 is from the menu entries given

Actual results:
'Move to Wastebasket' is selected, no confirmation required, track is removed
from Library.

Expected results:
F-Spot is an example of an application that does this sort of thing much better.

Comment 1 Bastien Nocera 2007-08-20 11:47:46 UTC
Could you elaborate on the "F-Spot is an example of an application that does
this sort of thing much better."?

Should it be "Move file to Wastebasket"? Any other hints?

Comment 2 Tim Waugh 2007-08-24 14:37:27 UTC
The F-Spot menu items read:

Remove From Catalogue
Delete From Drive


Comment 3 Bastien Nocera 2007-10-11 13:28:06 UTC
I filed this upstream for discussion:
http://bugzilla.gnome.org/show_bug.cgi?id=485730


Note You need to log in before you can comment on or make changes to this bug.